Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Public Attributes
Argus::Tuple< N, T > Struct Template Reference

Tuple template class. More...

`#include <Types.h>`

List of all members.

## Public Member Functions

bool | operator== (const Tuple< N, T > &other) const
T & | operator[] (unsigned int i)
const T & | operator[] (unsigned int i) const

## Public Attributes

T | data [N]

## Detailed Description

### template<unsigned int N, typename T>
struct Argus::Tuple< N, T >

Tuple template class.

This provides a finite ordered list of N elements having type T.

Definition at line 570 of file Types.h.

## Member Function Documentation

template<unsigned int N, typename T>

bool Argus::Tuple< N, T >::operator== | ( | const Tuple< N, T > & | other | ) | const

inline

Definition at line 574 of file Types.h.

template<unsigned int N, typename T>

T& Argus::Tuple< N, T >::operator[] | ( | unsigned int | i | ) |

inline

Definition at line 578 of file Types.h.

template<unsigned int N, typename T>

const T& Argus::Tuple< N, T >::operator[] | ( | unsigned int | i | ) | const

inline

Definition at line 579 of file Types.h.

## Member Data Documentation

template<unsigned int N, typename T>

T Argus::Tuple< N, T >::data[N]

Definition at line 572 of file Types.h.

The documentation for this struct was generated from the following file:

- include/Argus/Types.h